probe::nfs.aop.write_end
Prev | Chapter 31. Network File Storage Tapsets | Next

## Name

probe::nfs.aop.write_end — NFS client complete writing data

## Synopsis

    nfs.aop.write_end

## Values

`page_index`

  offset within mapping, can used a page identifier and position identifier in the page frame

`sb_flag`

  super block flags

`to`

  end address of this write operation

`i_size`

  file length in bytes

`offset`

  start address of this write operation

`size`

  write bytes

`__page`

  the address of page

`ino`

  inode number

`dev`

  device identifier

`i_flag`

  file flags

## Description

Fires when do a write operation on nfs, often after prepare_write

Update and possibly write a cached page of an NFS file.

Prev | Up | Next
probe::nfs.aop.write_begin | Home | probe::nfs.aop.writepage